> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Learn how to get started with the Galileo REST API

Galileo provides a public REST API that you can use to interact with the Galileo platform. This guide will help you get started with the Galileo REST API.

## Base API URL

The first thing you need to call the Galileo API is the base URL of your Galileo API instance.

### Free or hosted Galileo version

If you are using the free or hosted tier of Galileo at [app.galileo.ai](https://app.galileo.ai), then the base API URL is [https://api.galileo.ai](https://api.galileo.ai).

### Custom deployment

For custom deployments, you will need your Galileo console URL. You can then replace `console` in it with `api`. For example, if your Galileo console URL is `https://console.galileo.myenterprise.com`, then your base URL for the API is `https://api.galileo.myenterprise.com`.

### Verify the Base URL

To verify the base URL of your Galileo API instance, you can send a `GET` request to the [`healthcheck` endpoint](/api-reference/health/healthcheck).

```bash theme={null}
curl -X GET https://api.galileo.ai/v2/healthcheck
```

The API version will be reported in the response:

```output theme={null}
➜  curl -X GET https://api.galileo.ai/v2/healthcheck
{"api_version":"1.0.0","message":"🔭 API","version":"1.844.0"}
```

## Authentication

For interacting with our public endpoints, you can use any of the following methods to authenticate your requests:

### API Key

To use your [API key](/references/faqs/find-keys#galileo-api-key) to authenticate your requests, include the key in the HTTP headers for your requests.

```json theme={null}
{ "Galileo-API-Key": "<my-api-key>" }
```

### HTTP Basic Auth

To use HTTP Basic Auth to authenticate your requests, include your username and password Base64 encoded in the HTTP headers for your requests.

```json theme={null}
{ "Authorization": "Basic <base64encode(<username>:<password>)>" }
```

### JWT Token

To use a JWT token to authenticate your requests, include the token in the HTTP headers for your requests.

```json theme={null}
{ "Authorization": "Bearer <my-jwt-token>" }
```

We recommend using this method for high-volume requests because it is more secure (expires after 24 hours) and scalable than using an API key.

To generate a JWT token, send a `GET` request to the [`get-token` endpoint](/api-reference/auth/get-token) using the API Key or HTTP Basic auth.
